<?php

namespace Drupal\iframedialog\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginInterface;
use Drupal\ckeditor\CKEditorPluginButtonsInterface;
use Drupal\Component\Plugin\PluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "iframedialog" plugin.
 *
 * @CKEditorPlugin(
 *   id = "iframedialog",
 *   label = @Translation("iframedialog")
 * )
 */
class Iframedialog extends PluginBase implements CKEditorPluginInterface, CKEditorPluginButtonsInterface {

  /**
   * {@inheritdoc}
   */
  public function getLibraries(Editor $editor) {
    return [];
  }
  
  /**
   * {@inheritdoc}
   */
  public function isInternal() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function getDependencies(Editor $editor) {
    return [];
  }
  
  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return 'libraries/iframedialog/plugin.js';
  }

  /**
 * {@inheritdoc}
 */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [];
  }
}