CKEDITOR.plugins.add('mconnector', {
	requires: 'iframedialog',
    icons: 'mconnector',
    init: function(editor) {
		
		var allowed = 'iframe[align,longdesc,frameborder,height,name,scrolling,src,title,width]';
		
        CKEDITOR.dialog.add('mconnector', this.path + 'dialogs/mconnector.js');
		editor.addCommand('mconnector', new CKEDITOR.dialogCommand('mconnector', {
			allowedContent: allowed,
			requiredContent: 'iframe'
		}));
		
        editor.ui.addButton && editor.ui.addButton('mconnector', {
    		label: 'Import Assets',
    		command: 'mconnector',
			icon: 'mconnector',
    		toolbar: 'insert,80'
        });
    },
    windowMessageHandler: function (event){
        if(event.data && event.data.__type) {
            var img = CKEDITOR.currentInstance.document.createElement('img');
            img.setAttribute('src', event.data.public_link);
            CKEDITOR.currentInstance.insertElement(img);
            CKEDITOR.dialog.getCurrent().hide();
        }
    }
});

CKEDITOR.config.mconnector_murl = '';